metaHTML

# Class: htmlTableExtendedInputField

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlInputField
          |
          --htmlTableExtendedInputField

An extended input field that combines label, input field and help.

### Methods

- __construct
- generateHTML

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlInputField

htmlInputField::$required

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlInputField

htmlInputField::__construct()
  Constructor
htmlInputField::generateHTML()
  Prints the HTML code for this element.
htmlInputField::setFieldMaxLength()
  Sets the maximum field length.
htmlInputField::setFieldSize()
  Sets the field size.
htmlInputField::setIsEnabled()
  Specifies if this component is enabled and accepts user modification.
htmlInputField::setIsPassword()
  Specifies if this is a password field.
htmlInputField::setObfuscate()
  Specifies if the value should be saved in obfuscated form (e.g. self service profile).
htmlInputField::setRequired()
  Specifies if the input field is required.
htmlInputField::setValidationRule()
  Specifies the validation rule (e.g. htmlElement::VALIDATE_NUMERIC) for this field.

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 515]
An extended input field that combines label, input field and help.
[ Top ]

### Class Methods

### constructor __construct [line 530]

`htmlTableExtendedInputField __construct( String $label, String $fieldName, [String $fieldValue = null], [String $helpID = null])`

Constructor
Overrides htmlInputField::__construct() (Constructor)

#### Parameters:

String | $label | descriptive label
String | $fieldName | unique field name
String | $fieldValue | value of input field (optional)
String | $helpID | help ID (optional)

[ Top ]

### method generateHTML [line 547]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlInputField::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:49 +0100 by phpDocumentor 1.4.1